﻿@model IEnumerable<SiteGuide.DAL.Models.MapShape>
@using Humanizer
@using SiteGuide.Service.Helpers

@foreach (var mapshape in Model)
    foreach (var coords in mapshape.CoordinatesList)
    {
        <Placemark>
            <name>@StringHelper.JoinNotEmpty(" ", $"({mapshape.Category.Name})", mapshape.Name)</name>
            @if (!string.IsNullOrWhiteSpace(mapshape.Description) || !string.IsNullOrWhiteSpace(mapshape.EstaEmergencyMarker))
            {
                <description>
                    @if (!string.IsNullOrWhiteSpace(mapshape.Description))
                    {
                        @mapshape.Description
                    }
                    @if (!string.IsNullOrWhiteSpace(mapshape.Description) && !string.IsNullOrWhiteSpace(mapshape.EstaEmergencyMarker))
                    {
                        <![CDATA[<br /><br />]]>
                    }
                    @if (!string.IsNullOrWhiteSpace(mapshape.EstaEmergencyMarker))
                    {
                        <![CDATA[<b>000 Emergency Marker</b> (<a href="https://www.triplezero.vic.gov.au/our-services#emergency-markers" title="Emergency markers pinpoint your exact location during an emergency in public open spaces or a hard to define locality. Click to learn more.">?</a>): ]]>@mapshape.EstaEmergencyMarker
                    }
                </description>
            }
            <styleUrl>#style@(mapshape.Category.Name.Dehumanize())</styleUrl>
            @if (mapshape.Category.Dimensions == 1)
            {
                <LineString>
                    <altitudeMode>clampToGround</altitudeMode>
                    <coordinates>@coords</coordinates>
                </LineString>
            }
            else
            {
                <Polygon>
                    <altitudeMode>clampToGround</altitudeMode>
                    <outerBoundaryIs>
                        <LinearRing>
                            <coordinates>@coords</coordinates>
                        </LinearRing>
                    </outerBoundaryIs>
                </Polygon>
            }
        </Placemark>
    }
